本文整理汇总了C++中AcGePoint3dArray::remove方法的典型用法代码示例。如果您正苦于以下问题:C++ AcGePoint3dArray::remove方法的具体用法?C++ AcGePoint3dArray::remove怎么用?C++ AcGePoint3dArray::remove使用的例子?那么, 这里精选的方法代码示例或许可以为您提供帮助。您也可以进一步了解该方法所在类AcGePoint3dArray
的用法示例。
在下文中一共展示了AcGePoint3dArray::remove方法的1个代码示例,这些例子默认根据受欢迎程度排序。您可以为喜欢或者感觉有用的代码点赞,您的评价将有助于系统推荐出更棒的C++代码示例。
示例1: Get_PolyLine_Point
void Additional_Class::Get_PolyLine_Point( AcDbObjectId PolyLineId,AcGePoint3dArray &PointArray )
{
AcDbEntity *pEnt_Temp = NULL;
Acad::ErrorStatus es = acdbOpenAcDbEntity(pEnt_Temp, PolyLineId, AcDb::kForRead);
if (es != Acad::eOk)
{
acutPrintf(_T("\nOPEN POLYLINE ERROR"));
return;
}
if (!pEnt_Temp->isKindOf(AcDbPolyline::desc()))
{
acutPrintf(_T("\nENTITY IS NOT POLYLINE"));
return;
}
AcDbPolyline *pPolyLine = AcDbPolyline::cast(pEnt_Temp);
int num = pPolyLine->numVerts();
AcGePoint3d Start_temp_PT,End_temp_PT;
for (int index=0; index<num; index++)
{
if (pPolyLine->segType(index) == AcDbPolyline::kLine)
{
AcGeLineSeg3d tempLine;
pPolyLine->getLineSegAt(index,tempLine);
Start_temp_PT = tempLine.startPoint();
End_temp_PT = tempLine.endPoint();
PointArray.append(Start_temp_PT);
PointArray.append(End_temp_PT);
}
else if (pPolyLine->segType(index) == AcDbPolyline::kArc)
{
AcGeCircArc2d tempArc;
pPolyLine->getArcSegAt(index,tempArc);
Start_temp_PT.set(tempArc.startPoint().x,tempArc.startPoint().y,0);
End_temp_PT.set(tempArc.endPoint().x,tempArc.endPoint().y,0);
PointArray.append(Start_temp_PT);
PointArray.append(End_temp_PT);
}
}
pEnt_Temp->close();
AcGeIntArray IndexArray;
for (int i=1; i<PointArray.length();i++)
{
if (PointArray[i] == PointArray[i-1])
{
IndexArray.append(i);
PointArray.remove(PointArray[i]);
}
}
}